Loading...
Searching...
No Matches
Ogre::SphereSceneQuery Class Reference
Core » Scene

Specialises the SceneQuery class for querying within a sphere. More...

`#include <OgreSceneQuery.h>`

Inheritance diagram for Ogre::SphereSceneQuery:
[legend]

## Public Member Functions

| SphereSceneQuery (SceneManager *mgr)
virtual | ~SphereSceneQuery ()
const Sphere & | getSphere () const
| Gets the sphere which is being used for this query.
void | setSphere (const Sphere &sphere)
| Sets the sphere which is to be used for this query.
Public Member Functions inherited from Ogre::RegionSceneQuery
| RegionSceneQuery (SceneManager *mgr)
| Standard constructor, should be called by SceneManager.
virtual | ~RegionSceneQuery ()
void | clearResults (void)
| Clears the results of the last query execution.
virtual void | execute (SceneQueryListener *listener)=0
| Executes the query and returns each match through a listener interface.
virtual SceneQueryResult & | execute (void)
| Executes the query, returning the results back in one list.
const SceneQueryResult & | getLastResults (void) const
| Gets the results of the last query that was run using this object, provided the query was executed using the collection-returning version of execute.
bool | queryResult (MovableObject *first) override
| Self-callback in order to deal with execute which returns collection.
bool | queryResult (SceneQuery::WorldFragment *fragment) override
| Self-callback in order to deal with execute which returns collection.
Public Member Functions inherited from Ogre::SceneQuery
| SceneQuery (SceneManager *mgr)
| Standard constructor, should be called by SceneManager.
virtual | ~SceneQuery ()
virtual uint32 | getQueryMask (void) const
| Returns the current mask for this query.
virtual uint32 | getQueryTypeMask (void) const
| Returns the current mask for this query.
virtual void | setQueryMask (uint32 mask)
| Sets the mask for results of this query.
virtual void | setQueryTypeMask (uint32 mask)
| Sets the type mask for results of this query.
Public Member Functions inherited from Ogre::SceneQueryListener
virtual | ~SceneQueryListener ()

## Additional Inherited Members

Public Types inherited from Ogre::SceneQuery
typedef Ogre::WorldFragment | WorldFragment

## Detailed Description

Specialises the SceneQuery class for querying within a sphere.

## Constructor & Destructor Documentation

## SphereSceneQuery()

Ogre::SphereSceneQuery::SphereSceneQuery | ( | SceneManager * | mgr | ) |

## ~SphereSceneQuery()

virtual Ogre::SphereSceneQuery::~SphereSceneQuery | ( |  | ) |

virtual

## Member Function Documentation

## setSphere()

void Ogre::SphereSceneQuery::setSphere | ( | const Sphere & | sphere | ) |

Sets the sphere which is to be used for this query.

## getSphere()

const Sphere & Ogre::SphereSceneQuery::getSphere | ( |  | ) | const

Gets the sphere which is being used for this query.

The documentation for this class was generated from the following file:

- OgreSceneQuery.h